# eric4.Plugins.PluginSyntaxChecker

Module implementing the Tabnanny plugin.

### Global Attributes

author
autoactivate
className
deactivateable
error
longDescription
name
packageName
shortDescription
version

### Classes

SyntaxCheckerPlugin | Class implementing the Syntax Checker plugin.

### Functions

None

## SyntaxCheckerPlugin

Class implementing the Syntax Checker plugin.

### Derived from

QObject

### Class Attributes

None

### Class Methods

None

### Methods

SyntaxCheckerPlugin | Constructor
__editorClosed | Private slot called, when an editor was closed.
__editorOpened | Private slot called, when a new editor was opened.
__editorShowMenu | Private slot called, when the the editor context menu or a submenu is about to be shown.
__editorSyntaxCheck | Private slot to handle the syntax check context menu action of the editors.
__initialize | Private slot to (re)initialize the plugin.
__projectBrowserShowMenu | Private slot called, when the the project browser menu or a submenu is about to be shown.
__projectBrowserSyntaxCheck | Private method to handle the syntax check context menu action of the project sources browser.
__projectShowMenu | Private slot called, when the the project menu or a submenu is about to be shown.
__projectSyntaxCheck | Public slot used to check the project files for bad indentations.
activate | Public method to activate this plugin.
deactivate | Public method to deactivate this plugin.

### Static Methods

None

#### SyntaxCheckerPlugin (Constructor)

SyntaxCheckerPlugin(ui)

Constructor

ui
  reference to the user interface object (UI.UserInterface)

#### SyntaxCheckerPlugin.__editorClosed

__editorClosed(editor)

Private slot called, when an editor was closed.

editor
  reference to the editor (QScintilla.Editor)

#### SyntaxCheckerPlugin.__editorOpened

__editorOpened(editor)

Private slot called, when a new editor was opened.

editor
  reference to the new editor (QScintilla.Editor)

#### SyntaxCheckerPlugin.__editorShowMenu

__editorShowMenu(menuName, menu, editor)

Private slot called, when the the editor context menu or a submenu is about to be shown.

menuName
  name of the menu to be shown (string)
menu
  reference to the menu (QMenu)
editor
  reference to the editor

#### SyntaxCheckerPlugin.__editorSyntaxCheck

__editorSyntaxCheck()

Private slot to handle the syntax check context menu action of the editors.

#### SyntaxCheckerPlugin.__initialize

__initialize()

Private slot to (re)initialize the plugin.

#### SyntaxCheckerPlugin.__projectBrowserShowMenu

__projectBrowserShowMenu(menuName, menu)

Private slot called, when the the project browser menu or a submenu is about to be shown.

menuName
  name of the menu to be shown (string)
menu
  reference to the menu (QMenu)

#### SyntaxCheckerPlugin.__projectBrowserSyntaxCheck

__projectBrowserSyntaxCheck()

Private method to handle the syntax check context menu action of the project sources browser.

#### SyntaxCheckerPlugin.__projectShowMenu

__projectShowMenu(menuName, menu)

Private slot called, when the the project menu or a submenu is about to be shown.

menuName
  name of the menu to be shown (string)
menu
  reference to the menu (QMenu)

#### SyntaxCheckerPlugin.__projectSyntaxCheck

__projectSyntaxCheck()

Public slot used to check the project files for bad indentations.

#### SyntaxCheckerPlugin.activate

activate()

Public method to activate this plugin.

Returns:
  tuple of None and activation status (boolean)

#### SyntaxCheckerPlugin.deactivate

deactivate()

Public method to deactivate this plugin.

Up